Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv
Class XSFacets

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.XSFacets

public class XSFacets
extends java.lang.Object

The class used to pass all facets to `XSSimpleType.applyFacets(org.apache.xerces.impl.dv.XSFacets, short, short, org.apache.xerces.impl.dv.ValidationContext)`.

Version:
  $Id: XSFacets.java,v 1.5 2002/01/29 01:15:11 lehors Exp $
Author:
  Sandy Gao, IBM

Field Summary
`java.util.Vector` | `enumeration` Vector containing values of Enumeration facet, as String's.
`java.util.Vector` | `enumNSDecls` An array parallel to "Vector enumeration".
`int` | `fractionDigits` value of fractionDigits facet.
`int` | `length` value of length facet.
`java.lang.String` | `maxExclusive` value of maxExclusive facet.
`java.lang.String` | `maxInclusive` value of maxInclusive facet.
`int` | `maxLength` value of maxLength facet.
`java.lang.String` | `minExclusive` value of minExclusive facet.
`java.lang.String` | `minInclusive` value of minInclusive facet.
`int` | `minLength` value of minLength facet.
`java.lang.String` | `pattern` string containing value of pattern facet, for multiple patterns values are ORed together.
`int` | `totalDigits` value of totalDigits facet.
`short` | `whiteSpace` value of whiteSpace facet.

Constructor Summary
`XSFacets()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### length

    public int length

  value of length facet.

### minLength

    public int minLength

  value of minLength facet.

### maxLength

    public int maxLength

  value of maxLength facet.

### whiteSpace

    public short whiteSpace

  value of whiteSpace facet.

### totalDigits

    public int totalDigits

  value of totalDigits facet.

### fractionDigits

    public int fractionDigits

  value of fractionDigits facet.

### pattern

    public java.lang.String pattern

  string containing value of pattern facet, for multiple patterns values are ORed together.

### enumeration

    public java.util.Vector enumeration

  Vector containing values of Enumeration facet, as String's.

### enumNSDecls

    public java.util.Vector enumNSDecls

  An array parallel to "Vector enumeration". It contains namespace context of each enumeration value. Elements of this vector are NamespaceContext objects.

### maxInclusive

    public java.lang.String maxInclusive

  value of maxInclusive facet.

### maxExclusive

    public java.lang.String maxExclusive

  value of maxExclusive facet.

### minInclusive

    public java.lang.String minInclusive

  value of minInclusive facet.

### minExclusive

    public java.lang.String minExclusive

  value of minExclusive facet.

Constructor Detail

### XSFacets

    public XSFacets()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.